// component/SubjectTreeChooserNodeItem/childrenPage.js
Component({

  /**
   * 组件的属性列表
   */
  properties: {
    type: Object,
    subjects: {},
  },
  observers: {
    'subjects': function(val) {
      // console.log(val); // 打印innerText的当前值
      // this.selectComponent('#tabs').resize();
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    activeNames:''
  },

  /**
   * 组件的方法列表
   */
  methods: {
    open(e){
      console.log(e);
    },
    onChange(event) {
      this.setData({
        activeNames: event.detail,
      });
    },
    onItemClicked(e){
      console.log(e);
      // this.triggerEvent('cancel',e)
      this.triggerEvent('cancel', e, { bubbles: true, composed: true })
    }
  }
})